
From: Daniel Ritz <daniel.ritz@gmx.ch>

rmmod yenta produces the following oops:
Unable to handle kernel paging request at virtual address d084781e
the attached patch fixes this. against 2.5.70-bk.



 drivers/pcmcia/yenta.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/pcmcia/yenta.c~yenta-unload-oops-fix drivers/pcmcia/yenta.c
--- 25/drivers/pcmcia/yenta.c~yenta-unload-oops-fix	2003-06-14 14:02:26.000000000 -0700
+++ 25-akpm/drivers/pcmcia/yenta.c	2003-06-14 14:02:26.000000000 -0700
@@ -764,6 +764,9 @@ static void yenta_close(struct pci_dev *
 {
 	struct yenta_socket *sock = pci_get_drvdata(dev);
 
+	/* we don't want a dying socket registered */
+	pcmcia_unregister_socket(&sock->socket);
+	
 	/* Disable all events so we don't die in an IRQ storm */
 	cb_writel(sock, CB_SOCKET_MASK, 0x0);
 	exca_writeb(sock, I365_CSCINT, 0);
@@ -777,7 +780,6 @@ static void yenta_close(struct pci_dev *
 		iounmap(sock->base);
 	yenta_free_resources(sock);
 
-	pcmcia_unregister_socket(&sock->socket);
 	pci_set_drvdata(dev, NULL);
 }
 

_
